OpenOFile

02 Mar 2012 17:14 - Anna Maria Bigatti

Status: New Start date: 02 Mar 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.00 hour

Description

In cocoa-4 we had (syntax not pretty)

  D := OpenOFile("my-test");     -- appends at the end of "my-test" 

  D := OpenOFile("my-test","w"); -- clears "my-test" first

in cocoa-5 we only have the syntax of the first, but with the semantics of the second.    

Question: is the first semantics useful?

History

#1 - 02 Apr 2014 09:51 - Anna Maria Bigatti

- Category set to Parser/Interpreter

#2 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#3 - 09 Apr 2014 17:25 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#4 - 20 Oct 2020 18:13 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.4.2
